#> Calculate starlight loss
# tellraw @a [{"text":"Starlight start: "},{"score":{"objective":"fintris.dummy1","name":"#starlight%"}}]
scoreboard players operation #starlightDecimal fintris.dummy1 = #starlight% fintris.dummy1
scoreboard players operation #starlight% fintris.dummy1 /= #2 fintris.dummy1
scoreboard players operation #starlight fintris.dummy1 = #starlight% fintris.dummy1
scoreboard players operation #starlight% fintris.dummy1 *= #2 fintris.dummy1
scoreboard players operation #starlightDecimal fintris.dummy1 -= #starlight% fintris.dummy1
# tellraw @a [{"text":"Starlight end: "},{"score":{"objective":"fintris.dummy1","name":"#starlight"}}]

#> Calculate health loss
# tellraw @a [{"text":"Damage start: "},{"score":{"objective":"fintris.dummy1","name":"#damage*10"}}]
scoreboard players operation #damageDecimal fintris.dummy1 = #damage*10 fintris.dummy1
scoreboard players operation #damage*10 fintris.dummy1 /= #10 fintris.dummy1
scoreboard players operation #damage fintris.dummy1 = #damage*10 fintris.dummy1
scoreboard players operation #damage*10 fintris.dummy1 *= #10 fintris.dummy1
scoreboard players operation #damageDecimal fintris.dummy1 -= #damage*10 fintris.dummy1
# tellraw @a [{"text":"Damage end: "},{"score":{"objective":"fintris.dummy1","name":"#damage"}}]
# tellraw @a [{"text":"Damage end (decimal): "},{"score":{"objective":"fintris.dummy1","name":"#damageDecimal"}}]

#> Title
execute if score #starlight fintris.dummy1 matches 1.. run title @s actionbar [{"text":"Shocked for ","color":"red"},{"score":{"objective":"fintris.dummy1","name":"#starlight"},"color":"dark_red"},{"text":"% ","color":"dark_red"},{"text":"Starlight","color":"dark_aqua"},{"text":"!","color":"red"}]
execute if score #starlight fintris.dummy1 matches 1.. if score #starlightDecimal fintris.dummy1 matches 1.. run title @s actionbar [{"text":"Shocked for ","color":"red"},{"score":{"objective":"fintris.dummy1","name":"#starlight"},"color":"dark_red"},{"text":".5% ","color":"dark_red"},{"text":"Starlight","color":"dark_aqua"},{"text":"!","color":"red"}]
execute if score #damage fintris.dummy1 matches 1.. run title @s actionbar [{"text":"Shocked for ","color":"red"},{"score":{"objective":"fintris.dummy1","name":"#damage"},"color":"dark_red"},{"text":" damage!","color":"red"}]
execute if score #damage fintris.dummy1 matches 1.. if score #damageDecimal fintris.dummy1 matches 1.. run title @s actionbar [{"text":"Shocked for ","color":"red"},{"score":{"objective":"fintris.dummy1","name":"#damage"},"color":"dark_red"},{"text":".","color":"dark_red"},{"score":{"objective":"fintris.dummy1","name":"#damageDecimal"},"color":"dark_red"},{"text":" damage!","color":"red"}]
execute if score #starlight fintris.dummy1 matches 1.. if score #damage fintris.dummy1 matches 1.. run title @s actionbar [{"text":"Shocked for ","color":"red"},{"score":{"objective":"fintris.dummy1","name":"#starlight"},"color":"dark_red"},{"text":"% ","color":"dark_red"},{"text":"Starlight","color":"dark_aqua"},{"text":" and ","color":"red"},{"score":{"objective":"fintris.dummy1","name":"#damage"},"color":"dark_red"},{"text":" damage!","color":"red"}]
execute if score #starlight fintris.dummy1 matches 1.. if score #damage fintris.dummy1 matches 1.. if score #damageDecimal fintris.dummy1 matches 1.. run title @s actionbar [{"text":"Shocked for ","color":"red"},{"score":{"objective":"fintris.dummy1","name":"#starlight"},"color":"dark_red"},{"text":"% ","color":"dark_red"},{"text":"Starlight","color":"dark_aqua"},{"text":" and ","color":"red"},{"score":{"objective":"fintris.dummy1","name":"#damage"},"color":"dark_red"},{"text":".","color":"dark_red"},{"score":{"objective":"fintris.dummy1","name":"#damageDecimal"},"color":"dark_red"},{"text":" damage!","color":"red"}]
execute if score #starlight fintris.dummy1 matches 1.. if score #starlightDecimal fintris.dummy1 matches 1.. if score #damage fintris.dummy1 matches 1.. run title @s actionbar [{"text":"Shocked for ","color":"red"},{"score":{"objective":"fintris.dummy1","name":"#starlight"},"color":"dark_red"},{"text":".5% ","color":"dark_red"},{"text":"Starlight","color":"dark_aqua"},{"text":" and ","color":"red"},{"score":{"objective":"fintris.dummy1","name":"#damage"},"color":"dark_red"},{"text":" damage!","color":"red"}]
execute if score #starlight fintris.dummy1 matches 1.. if score #starlightDecimal fintris.dummy1 matches 1.. if score #damage fintris.dummy1 matches 1.. if score #damageDecimal fintris.duummy1 matches 1.. run title @s actionbar [{"text":"Shocked for ","color":"red"},{"score":{"objective":"fintris.dummy1","name":"#starlight"},"color":"dark_red"},{"text":".5% ","color":"dark_red"},{"text":"Starlight","color":"dark_aqua"},{"text":" and ","color":"red"},{"score":{"objective":"fintris.dummy1","name":"#damage"},"color":"dark_red"},{"text":".","color":"dark_red"},{"score":{"objective":"fintris.dummy1","name":"#damageDecimal"},"color":"dark_red"},{"text":" damage!","color":"red"}]

#> Cleanup
scoreboard players reset #starlight% fintris.dummy1
scoreboard players reset #damage*10 fintris.dummy1